%global momorel 8

Name:           perl-GDTextUtil
Version:        0.86
Release:        %{momorel}m%{?dist}
Summary:        GDTextUtil Perl module
License:        "Distributable, see Dustismo.LICENSE"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/GDTextUtil/
Source0:	http://www.cpan.org/modules/by-module/GD/GDTextUtil-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-GD >= 1
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This package provides three modules that make it possible to work with
internal GD fonts as well as TrueType fonts, without having to worry about
different interface functions to call. Apart from an abstract interface to
all font types and strings for GD, this library also provides some utility
in aligning and wrapping your string.

%prep
%setup -q -n GDTextUtil-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes Dustismo.LICENSE Dustismo_Sans.ttf README
%{perl_vendorlib}/GD/Text*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.86-8m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.86-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.86-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.86-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.86-4m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.86-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.86-2m)
- rebuild against gcc43

* Tue Oct 09 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.86-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
